<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hwpf.model (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hwpf.model (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hwpf.model" class="title">Uses of Package<br>org.apache.poi.hwpf.model
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.dev">org.apache.poi.hwpf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.sprm">org.apache.poi.hwpf.sprm</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/CHPBinTable.html#org.apache.poi.hwpf">CHPBinTable</a>
                        <div class="block">This class holds all of the character formatting properties.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/DocumentProperties.html#org.apache.poi.hwpf">DocumentProperties</a>
                        <div class="block">Comment me</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/EscherRecordHolder.html#org.apache.poi.hwpf">EscherRecordHolder</a>
                        <div class="block">Based on AbstractEscherRecordHolder from HSSF.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FieldsTables.html#org.apache.poi.hwpf">FieldsTables</a>
                        <div class="block">This class provides access to all the fields Plex.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FileInformationBlock.html#org.apache.poi.hwpf">FileInformationBlock</a>
                        <div class="block">The File Information Block (FIB).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FontTable.html#org.apache.poi.hwpf">FontTable</a>
                        <div class="block">FontTable or in MS terminology sttbfffn is a common data structure written in
                            all
                            Word files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListTables.html#org.apache.poi.hwpf">ListTables</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/OldFontTable.html#org.apache.poi.hwpf">OldFontTable</a>
                        <div class="block">Font table for Word 6.0</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PAPBinTable.html#org.apache.poi.hwpf">PAPBinTable</a>
                        <div class="block">This class represents the bin table of Word document but it also serves as a
                            holder for all of the paragraphs of document that have been loaded into
                            memory.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PicturesTable.html#org.apache.poi.hwpf">PicturesTable</a>
                        <div class="block">Holds information about all pictures embedded in Word Document either via
                            "Insert -> Picture -> From File" or via
                            clipboard.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/RevisionMarkAuthorTable.html#org.apache.poi.hwpf">RevisionMarkAuthorTable</a>
                        <div class="block">String table containing the names of authors of revision marks, e-mails and
                            comments in this document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SavedByTable.html#org.apache.poi.hwpf">SavedByTable</a>
                        <div class="block">String table containing the history of the last few revisions ("saves") of
                            the document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SectionTable.html#org.apache.poi.hwpf">SectionTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/StyleSheet.html#org.apache.poi.hwpf">StyleSheet</a>
                        <div class="block">Represents a document's stylesheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/TextPieceTable.html#org.apache.poi.hwpf">TextPieceTable</a>
                        <div class="block">The piece table for matching up character positions to bits of text.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/dev/package-summary.html">org.apache.poi.hwpf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListTables.html#org.apache.poi.hwpf.dev">ListTables</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/BookmarkFirstDescriptor.html#org.apache.poi.hwpf.model">BookmarkFirstDescriptor</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/BytePropertyNode.html#org.apache.poi.hwpf.model">BytePropertyNode</a>
                        <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                            <div class="block"><span class="deprecationComment">byte positions shall not be saved in memory</span>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/CharIndexTranslator.html#org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/CHPBinTable.html#org.apache.poi.hwpf.model">CHPBinTable</a>
                        <div class="block">This class holds all of the character formatting properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/CHPX.html#org.apache.poi.hwpf.model">CHPX</a>
                        <div class="block">DANGER - works in bytes!</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Colorref.html#org.apache.poi.hwpf.model">Colorref</a>
                        <div class="block">24-bit color structure</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ComplexFileTable.html#org.apache.poi.hwpf.model">ComplexFileTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/EscherRecordHolder.html#org.apache.poi.hwpf.model">EscherRecordHolder</a>
                        <div class="block">Based on AbstractEscherRecordHolder from HSSF.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Ffn.html#org.apache.poi.hwpf.model">Ffn</a>
                        <div class="block">FFN - Font Family Name.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FibBase.html#org.apache.poi.hwpf.model">FibBase</a>
                        <div class="block">Base part of the File information Block (FibBase).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FibRgLw.html#org.apache.poi.hwpf.model">FibRgLw</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FieldDescriptor.html#org.apache.poi.hwpf.model">FieldDescriptor</a>
                        <div class="block">Class for the FLD structure.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FieldsDocumentPart.html#org.apache.poi.hwpf.model">FieldsDocumentPart</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FileInformationBlock.html#org.apache.poi.hwpf.model">FileInformationBlock</a>
                        <div class="block">The File Information Block (FIB).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FootnoteReferenceDescriptor.html#org.apache.poi.hwpf.model">FootnoteReferenceDescriptor</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FormattedDiskPage.html#org.apache.poi.hwpf.model">FormattedDiskPage</a>
                        <div class="block">Represents an FKP data structure.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FSPA.html#org.apache.poi.hwpf.model">FSPA</a>
                        <div class="block">File Shape Address structure</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FSPADocumentPart.html#org.apache.poi.hwpf.model">FSPADocumentPart</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FSPATable.html#org.apache.poi.hwpf.model">FSPATable</a>
                        <div class="block">This class holds all the FSPA (File Shape Address) structures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/GenericPropertyNode.html#org.apache.poi.hwpf.model">GenericPropertyNode</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Hyphenation.html#org.apache.poi.hwpf.model">Hyphenation</a>
                        <div class="block">Hyphenation.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/LFO.html#org.apache.poi.hwpf.model">LFO</a>
                        <div class="block">"The LFO structure specifies the LSTF element that corresponds to a list that
                            contains a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/LFOData.html#org.apache.poi.hwpf.model">LFOData</a>
                        <div class="block">The LFOData structure contains the Main Document CP of the corresponding LFO,
                            as well as an array of LVL override data.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListData.html#org.apache.poi.hwpf.model">ListData</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListFormatOverrideLevel.html#org.apache.poi.hwpf.model">ListFormatOverrideLevel</a>
                        <div class="block">The LFOLVL structure contains information that is used to override the
                            formatting information of a corresponding LVL.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListLevel.html#org.apache.poi.hwpf.model">ListLevel</a>
                        <div class="block">"The LVL structure contains formatting information about a specific level in
                            a list.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/NoteType.html#org.apache.poi.hwpf.model">NoteType</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/OldFfn.html#org.apache.poi.hwpf.model">OldFfn</a>
                        <div class="block">Word 6.0 Font information</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/OldTextPieceTable.html#org.apache.poi.hwpf.model">OldTextPieceTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PAPBinTable.html#org.apache.poi.hwpf.model">PAPBinTable</a>
                        <div class="block">This class represents the bin table of Word document but it also serves as a
                            holder for all of the paragraphs of document that have been loaded into
                            memory.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PAPX.html#org.apache.poi.hwpf.model">PAPX</a>
                        <div class="block">DANGER - works in bytes!

                            Make sure you call getStart() / getEnd() when you want characters
                            (normal use), but getStartByte() / getEndByte() when you're
                            reading in / writing out!
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ParagraphHeight.html#org.apache.poi.hwpf.model">ParagraphHeight</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PICF.html#org.apache.poi.hwpf.model">PICF</a>
                        <div class="block">The PICF structure specifies the type of a picture, as well as the size of
                            the picture and information about its border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PieceDescriptor.html#org.apache.poi.hwpf.model">PieceDescriptor</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PlexOfField.html#org.apache.poi.hwpf.model">PlexOfField</a>
                        <div class="block">Structure describing the Plex for fields (contained plclfd* in the spec).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PropertyModifier.html#org.apache.poi.hwpf.model">PropertyModifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PropertyNode.html#org.apache.poi.hwpf.model">PropertyNode</a>
                        <div class="block">Represents a lightweight node in the Trees used to store content
                            properties.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PropertyNode.EndComparator.html#org.apache.poi.hwpf.model">PropertyNode.EndComparator</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PropertyNode.StartComparator.html#org.apache.poi.hwpf.model">PropertyNode.StartComparator</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SavedByEntry.html#org.apache.poi.hwpf.model">SavedByEntry</a>
                        <div class="block">A single entry in the <a
                                href="../../../../../org/apache/poi/hwpf/model/SavedByTable.html"
                                title="class in org.apache.poi.hwpf.model"><code>SavedByTable</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SectionDescriptor.html#org.apache.poi.hwpf.model">SectionDescriptor</a>
                        <div class="block">Section Descriptor (SED)

                            See page 186 for details.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SectionTable.html#org.apache.poi.hwpf.model">SectionTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SEPX.html#org.apache.poi.hwpf.model">SEPX</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/StyleDescription.html#org.apache.poi.hwpf.model">StyleDescription</a>
                        <div class="block">Comment me</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/StyleSheet.html#org.apache.poi.hwpf.model">StyleSheet</a>
                        <div class="block">Represents a document's stylesheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SubdocumentType.html#org.apache.poi.hwpf.model">SubdocumentType</a>
                        <div class="block">Document text parts that can have text pieces (CPs)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/TextPiece.html#org.apache.poi.hwpf.model">TextPiece</a>
                        <div class="block">Lightweight representation of a text piece.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/TextPieceTable.html#org.apache.poi.hwpf.model">TextPieceTable</a>
                        <div class="block">The piece table for matching up character positions to bits of text.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.model.types">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Colorref.html#org.apache.poi.hwpf.model.types">Colorref</a>
                        <div class="block">24-bit color structure</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Grfhic.html#org.apache.poi.hwpf.model.types">Grfhic</a>
                        <div class="block">The grfhic structure is a set of HTML incompatibility flags that specify the
                            HTML incompatibilities of a list structure.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Hyphenation.html#org.apache.poi.hwpf.model.types">Hyphenation</a>
                        <div class="block">Hyphenation.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/TabDescriptor.html#org.apache.poi.hwpf.model.types">TabDescriptor</a>
                        <div class="block">Tab descriptor.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.sprm">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/sprm/package-summary.html">org.apache.poi.hwpf.sprm</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/StyleSheet.html#org.apache.poi.hwpf.sprm">StyleSheet</a>
                        <div class="block">Represents a document's stylesheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/BookmarksTables.html#org.apache.poi.hwpf.usermodel">BookmarksTables</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/CHPX.html#org.apache.poi.hwpf.usermodel">CHPX</a>
                        <div class="block">DANGER - works in bytes!</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/EscherRecordHolder.html#org.apache.poi.hwpf.usermodel">EscherRecordHolder</a>
                        <div class="block">Based on AbstractEscherRecordHolder from HSSF.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/Ffn.html#org.apache.poi.hwpf.usermodel">Ffn</a>
                        <div class="block">FFN - Font Family Name.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FieldsDocumentPart.html#org.apache.poi.hwpf.usermodel">FieldsDocumentPart</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FieldsTables.html#org.apache.poi.hwpf.usermodel">FieldsTables</a>
                        <div class="block">This class provides access to all the fields Plex.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/FSPATable.html#org.apache.poi.hwpf.usermodel">FSPATable</a>
                        <div class="block">This class holds all the FSPA (File Shape Address) structures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/LFO.html#org.apache.poi.hwpf.usermodel">LFO</a>
                        <div class="block">"The LFO structure specifies the LSTF element that corresponds to a list that
                            contains a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/LFOData.html#org.apache.poi.hwpf.usermodel">LFOData</a>
                        <div class="block">The LFOData structure contains the Main Document CP of the corresponding LFO,
                            as well as an array of LVL override data.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListData.html#org.apache.poi.hwpf.usermodel">ListData</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/ListTables.html#org.apache.poi.hwpf.usermodel">ListTables</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/NotesTables.html#org.apache.poi.hwpf.usermodel">NotesTables</a>
                        <div class="block">Holds information about document notes (footnotes or ending notes)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PAPX.html#org.apache.poi.hwpf.usermodel">PAPX</a>
                        <div class="block">DANGER - works in bytes!

                            Make sure you call getStart() / getEnd() when you want characters
                            (normal use), but getStartByte() / getEndByte() when you're
                            reading in / writing out!
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/PlexOfCps.html#org.apache.poi.hwpf.usermodel">PlexOfCps</a>
                        <div class="block">Plex of CPs stored in File (PLCF)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/SEPX.html#org.apache.poi.hwpf.usermodel">SEPX</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwpf/model/class-use/StyleSheet.html#org.apache.poi.hwpf.usermodel">StyleSheet</a>
                        <div class="block">Represents a document's stylesheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
